﻿#Script By Olivier Gosselin - France
#http://www.purplescreen.eu
#Tools PowerCLI 6.5 Release 1

$CurentPath = [System.IO.Path]::GetDirectoryName($MyInvocation.MyCommand.Definition)
$Date = date | select *

$FileExist = Test-Path $CurentPath"\Module1.psm1"

if ($FileExist -eq "True") {
cls

Write-Host ""
Write-Host ""
$vCenterFQDN = Read-Host "Please, write your vCenter FQDN "
$CredentialvCenter = Get-Credential -Message "Credential vCenter"
Connect-VIServer $vCenterFQDN -Credential $CredentialvCenter

Write-Host "You are connected to this vCenter Server : $vCenterFQDN"
Write-Host ""
Write-Host ""

Import-Module -Force -Name $CurentPath"\Module1.psm1"
Write-Host ""
Write-Host "        ### Function by Olivier Gosselin. Valided on PowerCLI 6.5 Release 1" -ForegroundColor Red
Write-Host "        ### http://www.purplescreen.eu" -ForegroundColor Red
Write-Host ""
Write-Host "Log File are going to create here : " -NoNewLine
Write-Host "$CurentPath" -ForegroundColor Yellow
Write-Host ""
Write-Host "To show Gateway, Route, Mac Address... Use '*' as value for Name to show All VM." 
Write-Host "   For more information : " -NoNewLine
Write-Host "'Get-Help Show-VM -detailed' or 'Get-Help Show-VM -examples'" -ForegroundColor Yellow
Write-Host "To set a new Gateway as default to a virtual machine."
Write-Host "   For more information : " -NoNewLine
Write-Host "'Get-Help Set-DefaultGateway -detailed' or 'Get-Help Set-DefaultGateway -examples'" -ForegroundColor Yellow
Write-Host "To change route to a virtual machine."
Write-Host "   For more information : " -NoNewLine
Write-Host "'Get-Help Update-Route -detailed' or 'Get-Help Update-Route -examples'" -ForegroundColor Yellow
Write-Host "To add a new route to a virtual machine."
Write-Host "   For more information : " -NoNewLine
Write-Host "'Get-Help Add-Route -detailed' or 'Get-Help Add-Route -examples'" -ForegroundColor Yellow
Write-Host "To remove a route to a virtual machine."
Write-Host "   For more information : " -NoNewLine
Write-Host "'Get-Help Remove-Route -detailed' or 'Get-Help Remove-Route -examples'" -ForegroundColor Yellow
}
else {
Write-host "Check if that file ModuleChangeGatewayVM.psm1 existe in the same folder of this one"
}